<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hwpf.model.TextPiece (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hwpf.model.TextPiece (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
               title="class in org.apache.poi.hwpf.model">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/class-use/TextPiece.html" target="_top">Frames</a>
        </li>
        <li><a href="TextPiece.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hwpf.model.TextPiece" class="title">Uses of Class<br>org.apache.poi.hwpf.model.TextPiece
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                                    title="class in org.apache.poi.hwpf.model">TextPiece</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.model">org.apache.poi.hwpf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hwpf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                   title="class in org.apache.poi.hwpf.model">TextPiece</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                title="class in org.apache.poi.hwpf.model">TextPiece</a> in <a
                                href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/OldTextPiece.html"
                                    title="class in org.apache.poi.hwpf.model">OldTextPiece</a></span></code>
                                <div class="block">Lightweight representation of a text piece.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/SinglentonTextPiece.html"
                                    title="class in org.apache.poi.hwpf.model">SinglentonTextPiece</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> with type parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                title="class in org.apache.poi.hwpf.model">TextPiece</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                    title="class in org.apache.poi.hwpf.model">TextPiece</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">SectionTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/SectionTable.html#Z:Z_text">_text</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected java.util.ArrayList&lt;<a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                    title="class in org.apache.poi.hwpf.model">TextPiece</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">TextPieceTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#Z:Z_textPieces">_textPieces</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected java.util.ArrayList&lt;<a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                    title="class in org.apache.poi.hwpf.model">TextPiece</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">TextPieceTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#Z:Z_textPiecesFCOrder">_textPiecesFCOrder</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> that return <a
                                href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                title="class in org.apache.poi.hwpf.model">TextPiece</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                    title="class in org.apache.poi.hwpf.model">TextPiece</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">TextPieceTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#newTextPiece-int-int-byte:A-org.apache.poi.hwpf.model.PieceDescriptor-">newTextPiece</a></span>(int&nbsp;nodeStartChars,
                                int&nbsp;nodeEndChars,
                                byte[]&nbsp;buf,
                                <a href="../../../../../../org/apache/poi/hwpf/model/PieceDescriptor.html"
                                   title="class in org.apache.poi.hwpf.model">PieceDescriptor</a>&nbsp;pd)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                    title="class in org.apache.poi.hwpf.model">TextPiece</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">OldTextPieceTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/OldTextPieceTable.html#newTextPiece-int-int-byte:A-org.apache.poi.hwpf.model.PieceDescriptor-">newTextPiece</a></span>(int&nbsp;nodeStartChars,
                                int&nbsp;nodeEndChars,
                                byte[]&nbsp;buf,
                                <a href="../../../../../../org/apache/poi/hwpf/model/PieceDescriptor.html"
                                   title="class in org.apache.poi.hwpf.model">PieceDescriptor</a>&nbsp;pd)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                title="class in org.apache.poi.hwpf.model">TextPiece</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                    title="class in org.apache.poi.hwpf.model">TextPiece</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">TextPieceTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#getTextPieces--">getTextPieces</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                title="class in org.apache.poi.hwpf.model">TextPiece</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">TextPieceTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#add-org.apache.poi.hwpf.model.TextPiece-">add</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                    title="class in org.apache.poi.hwpf.model">TextPiece</a>&nbsp;piece)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">TextPieceTable.FCComparator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.FCComparator.html#compare-org.apache.poi.hwpf.model.TextPiece-org.apache.poi.hwpf.model.TextPiece-">compare</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                    title="class in org.apache.poi.hwpf.model">TextPiece</a>&nbsp;textPiece,
                                <a href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                   title="class in org.apache.poi.hwpf.model">TextPiece</a>&nbsp;textPiece1)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected int</code></td>
                            <td class="colLast"><span class="typeNameLabel">TextPieceTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html#getEncodingMultiplier-org.apache.poi.hwpf.model.TextPiece-">getEncodingMultiplier</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                    title="class in org.apache.poi.hwpf.model">TextPiece</a>&nbsp;textPiece)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected int</code></td>
                            <td class="colLast"><span class="typeNameLabel">OldTextPieceTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/OldTextPieceTable.html#getEncodingMultiplier-org.apache.poi.hwpf.model.TextPiece-">getEncodingMultiplier</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                    title="class in org.apache.poi.hwpf.model">TextPiece</a>&nbsp;textPiece)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructor parameters in <a
                                href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> with type arguments of type <a
                                href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                title="class in org.apache.poi.hwpf.model">TextPiece</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/FSPATable.html#FSPATable-byte:A-int-int-java.util.List-">FSPATable</a></span>(byte[]&nbsp;tableStream,
                                int&nbsp;fcPlcspa,
                                int&nbsp;lcbPlcspa,
                                java.util.List&lt;<a href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                                     title="class in org.apache.poi.hwpf.model">TextPiece</a>&gt;&nbsp;tpt)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/TextPiece.html"
               title="class in org.apache.poi.hwpf.model">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/class-use/TextPiece.html" target="_top">Frames</a>
        </li>
        <li><a href="TextPiece.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
